%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	A toolkit for Xesam compliant services
Name:		xesam-tools
Version:	0.6.1
Release:	7%{?dist}
License:	LGPLv2
Group:		Applications/System
URL:		http://xesam.org/main
Source0:	http://xesam.org/people/kamstrup/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-devel

BuildArch:	noarch

%description
xesam-tools provides Python packages to interface with Xesam
compliant services as well as a command line tool to use directly.

It also features a framework for easily implementing xesam compliant
servers via the xesam.server package. There are two examples bundled
with this distribution. Namely demo/xesam-yahoo-service and
demo/xesam-dummy-service. Both include a small header describing
their usage.

The implementation uses gobject and the Python dbus bindings for the gobject
mainloop. There's no gui, only a command line application (xesam-tool).

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

chmod 0644 demo/xesam-yahoo-service demo/xesam-dummy-service

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README
%doc demo/xesam-yahoo-service demo/xesam-dummy-service
%{_bindir}/xesam-tool
%{python_sitelib}/xesam/
%{python_sitelib}/xesam*.egg-info

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.1-2
- Rebuild for Python 2.6

* Mon May 12 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.1-1
- Initial packaging for Fedora.
